package imt.ingredients;

import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class Legume extends Ingredient {
	private final int fibres;

	public Legume(int idIngredient, String nomIngredient, int quantité, int calories, boolean bio,
			Consigne[] consignes, int fibres) {
		super(idIngredient, nomIngredient, quantité, calories, bio, consignes);
		this.fibres = fibres;
	}

}
